Subject: SEO Candidate - Yashi Jain
From: Yashi Jain <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 3 Jan 2023 06:54:05 -0500

| | SEO  Test

Name | Yashi Jain
E-mail | [email-masked]
Phone Number | (+91) 0888219706
Where do you currently live (area) | Chandni Chowk Delhi

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | The Lightening Group | Seo Executive | 15 jan 2023 | 18000 ₹
Previous Employer 1 | Delhi IT Solution | Seo Executive | 11/ 2021 | 15000 ₹
Previous Employer 2 | IBT Pvt. Lmt | Seo Executive | 03/ 2020 | 13000 ₹

Have you independently worked on SEO for any website?  If yes, what was the website, and what were the keywords?

yes, I've independently worked on SEO for websites.

https://alpineinfosoft.com/ - laptop on rent in Delhi, laptop on rent in  Gurgaon, laptop on rent in Noida

https://thebimba.com/ - pichwai painting, madhubani painting

Have you done SEO for any international websites? If yes, which ones and in what countries were you working on ranking them?

yes, I've worked on International websites.
Ziyyara is a education based company and I rank them in

Give a list of Keywords that you have ranked and name of websites

https://thebimba.com/ - pichwai painting, madhubani painting

https://www.ibtindia.com/ - ssc coaching in delhi, Bank coaching in Laxmi nagar, EILTS coaching in Delhi,  ssc coaching in Laxmi nagar

How do you do Keyword Research?

I do Google keyword research from google adwords.
Make a list of broad topics relevant to the website,
Find related search terms
Analyze the strength of your keywords
Verify search intent

What activities do you perform Off Page?

Guest blog posting
classified submission
Directory submission
Forum Posting
Bookmarking
quora question answer
PPT & PDF submission
Blog Posting
Blog Commenting

| |